#ifndef XMATERIALARGUMENTDEF_H
#define XMATERIALARGUMENTDEF_H

#include "xasset.h"

class XMaterialShaderArgument;

class XMaterialArgumentDef : public XAsset
{
public:
    explicit XMaterialArgumentDef();
    XMaterialArgumentDef(XMaterialShaderArgument &aParent);
    ~XMaterialArgumentDef();

    virtual void Clear() override;
    virtual void ParseData(QDataStream *aStream) override;

private:
    qint32 mCodeSampler;
    XMaterialShaderArgument* mParent;
};

#endif // XMATERIALARGUMENTDEF_H
